> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List configuration relations for multiple configurations



## OpenAPI

````yaml /schema.json post /di/list/nodes/bulk
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/list/nodes/bulk:
    post:
      tags:
        - Di
      summary: List configuration relations for multiple configurations
      operationId: getConfigurationNodesBulk
      parameters:
        - name: direction
          in: query
          description: Direction to resolve relations
          required: false
          schema:
            type: string
            default: both
            enum:
              - down
              - up
              - both
              - recursive
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                objects:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      identifier:
                        type: string
                    required:
                      - type
                      - identifier
      responses:
        '200':
          description: A list of nodes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiNodesList'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DiNodesList:
      type: object
      properties:
        nodes:
          type: array
          items:
            $ref: '#/components/schemas/DiNode'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    DiNode:
      type: object
      properties:
        type:
          type: string
        identifier:
          type: string
        name:
          type: string
        relationships:
          type: array
          items:
            $ref: '#/components/schemas/DiNodeRelation'
    DiNodeRelation:
      type: object
      properties:
        relation:
          type: string
        node:
          type: object
          properties:
            identifier:
              type: string
            type:
              type: string
        paths:
          type: array
          items:
            type: string

````